@font-face {
    font-family: 'Cera'; /*a name to be used later*/
    src: url('/assets/fonts/cera/cera-pro-medium.otf'); /*URL to font*/
}
@font-face {
    font-family: 'Cera-Bold'; /*a name to be used later*/
    src: url('/assets/fonts/cera/cera-pro-bold.otf'); /*URL to font*/
}
@font-face {
    font-family: 'Cera-Light'; /*a name to be used later*/
    src: url('/assets/fonts/cera/cera-pro-light.otf'); /*URL to font*/
}
p,div,h1,h2,h3,h4,h5,h6,span,a{
    font-family: 'Cera' !important;
}
/* Login Page */

.extra-result {
    background-color:  #77ddab !important;
    color: white;
}

.extra-result-draft {
    background-color:  yellow !important;
    color: white;
}


.delivery-row {
    border: 1px inset var(--primary-color);
    margin-top: 30px;
    border-radius: 10px;
}

#mytask-layout > .login-div{
    /* background-color: #011744 !important; */
    background-color: #3c3f46 !important;
}
.breadcrumb-links{
    font-size: 14px;
    color: #3c3f46;
}
.login-div{
    background-color: #3c3f46 !important;
}
[requires-admin-permission], [ifet-permission], [eof-permission] {
    display: none !important;
}
.selectedRow {
 background: #eee;
}
:root {
        --primary-color: #3A8CC2;
    }
.main-button-area > button {
    /* margin-bottom: 0.4em;
    margin-left: 0.6em; */
}
.main-button-area .dropdown-toggle {
    /* padding: 0.55em 0.6em; */
}

a.active-shadow {
    box-shadow: 10px 0 10px rgba(0.8, 0.8, 0.5, 0.8); /* Adjust the shadow strength as needed */
    color:yellow;
}

div#status_id{
width:40%;
}
.sidebar .menu-list .m-link span{
    font-family: 'Cera-Light' !important;
}
.sidebar.sidebar-mini .menu-list .m-link{
    display: flex;
    justify-content: center;
}
.sidebar.sidebar-mini .sidebar-mini-logo{
    width: 100% !important;
    margin: 0px !important;
}
.project_title_followup_cat{
    color:gray;
    font-size: 12px;
}
.project_title_followup_cat:empty{
    display: none;
}

.pagination .page-item.active .page-link {
    color:yellow;
    z-index:auto;
}
.done-span{
    background: #1D976C;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right,#1D976C, #93F9B9);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #1D976C, #93F9B9); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 2px 8px;
    color: #fff;
    border-radius: 99px;
    font-size: smaller;
    font-weight: bold;
    white-space: nowrap;
}

.loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 4px solid #fff;
    border-right: 4px solid transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}
.loader::after {
content: '';  
box-sizing: border-box;
position: absolute;
left: 0;
top: 0;
width: 48px;
height: 48px;
border-radius: 50%;
border-left: 4px solid #FCD401;
border-bottom: 4px solid transparent;
animation: rotation 0.5s linear infinite reverse;
}
@keyframes rotation {
0% {
    transform: rotate(0deg);
}
100% {
    transform: rotate(360deg);
}
}

.ChatDiv{
    height: 70vh;
}

.chat-history::-webkit-scrollbar {
    width: 5px !important;
}
.chat-history::-webkit-scrollbar-track {
    background: #f1f1f1 !important; 
}
.chat-history::-webkit-scrollbar-thumb {
    background: #888 !important; 
    border-radius:10px;
}
.chat-history::-webkit-scrollbar-thumb:hover {
    background: #555 !important; 
}

.select2 {
    width: 100% !important;
}

.select2-selection--single{
    border: none !important;
    background-color: transparent !important;
    position: absolute;
    top: 0;
    width: 100%;
}
.select2-selection--multiple{
    position: absolute !important;
    top: 0;
    background-color: transparent !important;
    border: none !important;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
}
.select2-container--default{
    border-color: var(--border-color);
    color: var(--text-color);
    font-size: 16px;
    height: 40px;
    border-radius: 5px;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    background-color: transparent;
    border: none;
    border-bottom: 1px dashed var(--primary-color);
    box-shadow: inset 1px 1px 15px 1px #f2f2f2;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 40px !important;
}
.select2-selection__arrow{
    display: none;
}

.mentionsOpen{
    position: absolute;
    border-radius: 10px;
    border: 1px solid var(--primary-color);
    padding: 8px 16px;
    background: beige;
    font-weight: bold;
    bottom: 75px;
    cursor: pointer;
    line-height: 1.6;
}
.mentionsOpen ul{
    padding-left: 0px;
    margin-bottom: 0px;
}
.mentionsClose{
    display: none;
}

.mentionsOpen li{
    list-style-type: none;
}

.fa-sort {
    cursor: pointer !important;
}

.showPasswordIcon{
    color: var(--primary-color);
    font-size: large;
    position: absolute;
    right: 10%;
    cursor: pointer;
}
input[type="password" i] {
    letter-spacing: 5px;
}
.filepond--credits{
    display: none;
}

.sidebar{
    width: 245px;
    height: calc(100vh - 110px);
}
.searchIcon{
    position: absolute;
    left: 5%;
    font-size: 1.15rem;
    color: #c9c9c9;
    padding-top: 0.3em;
    
}
.input-group-lg>.form-control{
    padding: 0.5rem 3rem;
    font-size: 1rem;
    border-radius: 30px;

}

.form-control, .form-select{
background-color:#e2e2e2;
}


.input-group-lg > .form-view {
    padding: 0.5rem 2rem; /* Adjusted padding */
    font-size: 1rem;
    border: 0px none; /* Added border for better visibility */
}


.form-view,
.form-select-view {
    background-color: #fff; /* Updated background color */
    margin-bottom: 10px; /* Added margin for spacing between elements */
    /* Add any additional styling you may need */
}

.form-label-view{
font-weight:bold;
}

.input-group-lg>.form-control:focus{
    padding: 0.5rem 1rem;
}
.input-group:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu):not(.form-floating){
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}
#main-search-input{
    background-color: #fff;
    min-width: 260px;
}
.form-control:focus{
    border: none;
    padding: 0.5rem 1rem;
}
.search-criteria-btns{
    display: flex;
    flex-direction: row;
}
.dateInputs{
    width: 135px;
}

.footer{
    background: rgb(58, 140, 194);
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    text-align: center;
}

.card{
      box-shadow:  0 8px 24px rgba(0, 0, 0, 0.2);
      border-radius: 50px;
}

#list-view > div > div > div > div > div.card-header.py-3.px-0.d-sm-flex.align-items-start.justify-content-between.main-button-area > form > div > div.filepond--drop-label{
    align-items: start;
}

.mytooltipDiv{
    display: flex;
    gap: 3px;
}

.mytooltiptext{
    display: none;
} form

.mytooltip:hover .mytooltiptext{
    display: unset;
    position: absolute;
    background: #fff;
    padding: 15px 10px;
    top: 10px;
    width: 180px;
    border: 1px solid #184DA8;
    border-radius: 10px;
    margin-left: 5px;
    cursor: text;
}

.filepond--drop-label.filepond--drop-label label{
    padding: 0px !important;
}

.filepond--panel-root{
    background: transparent !important;
}

.filepond--root .filepond--drop-label{
    min-height: 2.75em !important;
}

.filepond--item{
    width: fit-content;
}


.loadingDiv h3 {
    font-size: 18px;
}
.loading-spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    background-color: rgba(255, 250, 250, 0.792); /* Semi-transparent white background */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999; /* Ensure it's above other content */
}

.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1); /* Light gray border */
    border-top: 4px solid #3498db; /* Blue border on top */
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite; /* Rotate animation */
}

/* Rotate animation */
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* Hide the loading spinner when the page is fully loaded */
body.loaded .loading-spinner {
    display: none;
}

/* Hide page content while loading */
body.loading {
    overflow: hidden;
}
.dot-flashing {
    position: relative;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: #ffffff;
    color: #ffffff;
    animation: dot-flashing 1s infinite linear alternate;
    animation-delay: 0.5s;
  }
  .dot-flashing::before, .dot-flashing::after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
  }
  .dot-flashing::before {
    left: -15px;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: #ffffff;
    color: #ffffff;
    animation: dot-flashing 1s infinite alternate;
    animation-delay: 0s;
  }
  .dot-flashing::after {
    left: 15px;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: #ffffff;
    color: #ffffff;
    animation: dot-flashing 1s infinite alternate;
    animation-delay: 1s;
  }
  
  @keyframes dot-flashing {
    0% {
      background-color: #ffffff;
    }
    50%, 100% {
      background-color: rgba(255, 255, 255, 0.2);
    }
  }

.menu-icon{
    width: 22px;
    margin-right: 10px;
}
#headerPageTitle{
    color: #206CA0;
}

.patient-buttons-wrapper {
    flex: 1;
    padding: 5px;        
}

.save-button-area-top {
    padding: 10px;
}

.top-section-forms {
    flex: 1;
    display: flex;
}

button.active {
    background-color: #3890d1;
}

.table-responsive::-webkit-scrollbar {
    width: 5px !important;
    height: 5px;
}
.table-responsive::-webkit-scrollbar-track {
    background: #f1f1f1 !important; 
}
.table-responsive::-webkit-scrollbar-thumb {
    background: #aad8f3 !important; 
}
.table-responsive::-webkit-scrollbar-thumb:hover {
    background: #555 !important; 
}
.table{
    /* table-layout: fixed */
}
.table tr th {
    white-space:nowrap;
    text-align: center;
    
}
.table tr td {
    white-space:nowrap;
    text-align: center;
}
#myProjectTable th:last-child,
    #myProjectTable td:last-child {
        position: unset;
    }

.active {
    background-color: #3890d1;
}

tr.selected {
    --bs-table-accent-bg: var(--bs-table-hover-bg);
    color: var(--bs-table-hover-color);
}

.status-select-btn {
    margin-left: 10px;
}

.role-container {
    display: flex !important;
    flex: 1 !important;
    flex-direction: column !important;
    align-items: flex-end !important;
}

.progresses {
    display: flex;
    align-items: center;
}

.line {
    width: 120px;
    height: 6px;
    background: var(--primary-color);
}

.steps {
    display: flex;
    background-color: var(--primary-color);
    color: #fff;
    font-size: 14px;
    align-items: center;
    justify-content: center;
    padding: 5px;
}

.tabRequestTitle{
    font-size: 24px;
    font-weight: 800;
    color: var(--primary-color);
    background: linear-gradient(180deg, rgba(255, 255, 255, 1) 60%, rgba(188, 222, 242, 1) 62%);
    padding: 0px 5px;
}
.tabRequestResults{
    font-size: 18px;
}

.tab-content>.active {
    background: white !important;
}

.info_order_div{
    display: flex;
    align-items: flex-end;
    margin: 0px 20px 8px 20px;
    gap: 15px;
}
.info_order_div_remarks{
    margin: 0px 20px 0px 20px;
}
.info_order_cat{
    font-size: 18px;
    border-left: 8px solid var(--primary-color);
    padding-left: 10px;
    line-height: 1.2rem;
    white-space: nowrap;
}
.info_order_cat_data{
    font-family: 'Cera-Light' !important;
    font-size: 16px;
    background: linear-gradient(180deg, rgba(255, 255, 255, 1) 90%, rgba(188, 222, 242, 1) 90%);
    width: 100%;
}
.info_order_cat_data_remarks{
    font-size: 16px;
    background: #F2F2F2;
    padding: 10px;
    border-radius: 5px;
    margin-top: 15px;
    height: 150px;
    overflow: auto;
}
.info_status_text{
    border: 1px solid var(--primary-color);
    text-align: center;
    padding: 5px 20px;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    box-shadow: 0px 0px 14px 0px #e2e2e2e2;
}

#scores-table.table tr th{
    color: var(--primary-color);
    font-size: 13px;
    font-weight: 300;
    text-align: center;
    white-space: normal;
}
#scores-table>thead{
    border-color: transparent;
}
.scores-table{
    border-radius: 50px;
}
#bibliography.table tr th{
    color: var(--primary-color);
    font-size: 13px;
    font-weight: 300;
    text-align: center;
}
#bibliography>thead{
    border-color: transparent;
}
#myProjectTable.table tr th{
    color: var(--primary-color);
    font-size: 16px;
    font-weight: bold;
    text-align: center;
}

.edit_data{
    position: relative;
    right: 0;
    margin: 0px 20px 0px 20px 0px;
}

.file_name_tables a{
    white-space: normal;
}
.add_btn{
    border: 1px solid var(--primary-color);
    text-align: center;
    padding: 5px 20px;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    box-shadow: 0px 0px 14px 0px #e2e2e2e2;
    color: var(--primary-color);
}
.add_btn:hover{
    background-color: var(--primary-color);
    color: #ffffff;
    transition: .5s;
}
.add_btn:hover .icofont-plus-circle{
    color: white !important;
}
.body{
    margin-bottom: 50px;
}
.table_title{
    font-size: 24px;
    font-weight: 800;
    color: var(--primary-color);
    background: linear-gradient(180deg, rgba(255, 255, 255, 1) 60%, rgba(188, 222, 242, 1) 62%);
    padding: 0px 3px;
}
.results_table{
    /* border-collapse: separate;
    border-spacing: 5px; */
      padding:.1rem .1rem;


}

.results_table tbody tr{
    background-color: #f2f2f2;
    border-bottom: 3px solid #ffffff;
}
.results_table tr th{
    padding: 0px;
}
.results_table tr th div{
    background-color: var(--primary-color);
    color: #fff !important;
    border-radius: 5px;
    padding: 2px 3px;
    margin-right: 3px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    min-height: 50px;
}
.results_table tr td{
    white-space: normal;
}
.info_area{
    background: #f2f2f2;
}
.entoli_eisagwgis_input{
    display: unset !important;
    width: unset;
    background: transparent;
    text-align: center;
    margin-left: 5px;
    border: 0px;
    border-bottom: 1px solid var(--primary-color);
    border-radius: 0px;
    max-width: 190px;
    width: 100%;
}
.create_inputs{
    background-color: transparent;
    border: none;
    border-bottom: 1px dashed var(--primary-color);
    box-shadow: inset 1px 1px 15px 1px #f2f2f2;
}
.provider-row{
    border: 1px inset var(--primary-color);
    margin-top: 30px;
    border-radius: 10px;
    
}
.manufacturer-row{
    border: 1px inset var(--primary-color);
    margin-top: 30px;
    border-radius: 10px;
    
}
.select2-selection__clear{
    height: 40px !important;
    margin-right: 30px !important;
}
#NotificationsDiv .card{
    border-radius: 10px;
}
/* .summary::before{
    content: '';
    background-image: url(/assets/images/connection.png);
    background-size: contain;
    width: 60px;
    height: 85px;
    position: absolute;
    left: 18.2%;
    top: 22%;
    background-repeat: no-repeat;
    z-index: 1;
} */
.table-summary{
    overflow-x: unset !important;
}
#table-summary tr th {
    white-space: normal;
    color: var(--primary-color);
    font-size: 13px;
}
#table-summary tr td {
    white-space: normal;
    color: #ffffff;
    padding: .2rem .5rem;
    border-bottom: 0px;
}
.summary {
    position: relative;
}
.sum-pointer{
    position: relative;
    z-index: 9999;
}
.sum-pointer img {
    animation: pulse 2s infinite;
}
@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
    100% {
        transform: scale(1);
    }
}
.arrow-cell {
    position: relative;
    z-index: 1;
}
.arrow-img {
    position: absolute;
    left: -25px;
    top: 10%;
    transform: translateY(-50%);
    height: 80px;
}
.summary-row {
    background-color: #004269;
}
.final-summary-row {
    background-color: #65C1FF;
    max-height: 0;
    opacity: 0;
    display: none;
    overflow: hidden;
    transition: max-height 0.5s ease, opacity 0.5s ease;
}
.final-summary-row.show {
    max-height: 100px;
    opacity: 1;
    display: table-row;
    overflow: visible;
    transition: max-height 0.5s ease, opacity 0.5s ease;
}
.final-summary-row:hover{
    --bs-table-hover-bg: none;
}

.summary-row td,
.final-summary-row td {
    position: relative;
    vertical-align: middle;
    padding: .2rem .5rem;
}
.summary-row td::after,
.final-summary-row td::after {
    content: '';
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 50%;
    width: 2px;
    background-color: #fff;
}
.final-summary-row td:first-child{
    background-color: #fff;
}
.summary-row td:first-child::after, .final-summary-row td:first-child::after{
    content: none;
}

.summary-row td:last-child::after,
.final-summary-row td:last-child::after {
    content: none;
}
@media only screen and (max-width: 48em){
    .navbar>.container-xxl{
        flex-wrap: wrap-reverse;
    }
	.user-profile{
        flex-direction: row-reverse;
        gap: 10px;
    }
    .dropdown-menu.show {
        position: absolute;
        top: 0px;
        left: 0px;
    }
    .page-item .page-link{
        font-size: small;
        white-space: nowrap;
    }
    .search-criteria{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    .search-criteria-btns{
        display: flex;
        flex-direction: row;
    }
    .eortesDiv{
        flex-direction: column;
    }
    .mobileColumn{
        flex-direction: column;
    }
   
    .pagination{
        overflow: scroll;
    }
    .eortazontesFilterDiv{
        display: flex;
        flex-direction: column;
    }
    .pageTitleDiv{
        flex-direction: column;
    }
    .dateInputs{
        width: 100%;
    }
    .uploadexportExcel{
        display: flex !important;
        flex-direction: row;
        /* align-items: center !important; */
        justify-content: center;
    }
    .uploadImage{
        left: -20px !important;
        /* top: 7.5px !important; */
    }
    .birthdaysDiv{
        display: flex;
        flex-direction: column !important;
    }
    .table-summary{
        overflow-x: auto !important;
    }
}